Subject: Re: [PATCH] Documentation/RelNotes: fix a typo in 2.36's relnotes

From: Taylor Blau <[email-masked]>
Date: Wed, 13 Apr 2022 17:46:03 -0400

On Wed, Apr 13, 2022 at 02:13:31PM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > Signed-off-by: Taylor Blau <[email-masked]>
> > ---
> > Noticed while reading the RelNotes for GitHub's release highlights blog
> > post.
>
> Thanks as always for highlighting more interesting bits from the
> flat-and-bland-list-of-changes which is what I prepare as the
> release notes.

It's a pleasure to do. Thanks for maintaining the release notes in the
meantime which make my job much easier to do.

> > - * A not-so-common mistake is to write a script to feed "git bisect
> > + * A not-so-uncommon mistake is to write a script to feed "git bisect
> >     run" without making it executable, in which case all tests will
>
> I actually meant that this is "not a common mistake that deserves our
> bandwidth but because a change was already made to help such a case,
> why not take it".

Ha! I wasn't sure if that's what you meant or not. I think your
suggestion below is an appropriate way to remove the ambiguity. Thanks.

> We can probably rewrite _without_ mentioning our expectation of how
> common it would be.
>
>     A user can forget to make a script file executable before giving
>     it to "git bisect run".  In such a case, all tests will exit ...

Looks good to me.

Thanks,
Taylor